%global packname  Bessel
%global packvers  0.5-5
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.5.5
Release:          1%{?dist}
Summary:          Bessel functions computations and approximations

License:          GPLv2+
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packvers}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   R-Rmpfr
# Imports:
# Suggests:  R-gsl
# LinkingTo:
# Enhances:

Requires:         R-Rmpfr
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-Rmpfr
BuildRequires:    R-gsl

%description
Bessel function computations for complex and real numbers; notably
interfacing TOMS 644; approximations for large arguments, experiments, etc.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Wed Jan 23 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.5.5-1
- initial package for Fedora
